from flask_wtf import FlaskForm
from wtforms import StringField, SubmitField, SelectField
from wtforms.validators import DataRequired


class EditMirrorForm(FlaskForm):
    origin = SelectField('Origin')
    url = StringField('URL')
    submit = SubmitField('Save Changes')


class EditProxyForm(FlaskForm):
    origin = SelectField('Origin')
    submit = SubmitField('Save Changes')


class LifecycleForm(FlaskForm):
    submit = SubmitField('Confirm')


class NewMirrorListForm(FlaskForm):
    provider = SelectField('Provider', validators=[DataRequired()])
    format = SelectField('Distribution Method', validators=[DataRequired()])
    description = StringField('Description', validators=[DataRequired()])
    container = StringField('Container', validators=[DataRequired()])
    branch = StringField('Branch')
    filename = StringField('Filename', validators=[DataRequired()])
    submit = SubmitField('Save Changes')
